io.undertow.security.impl

## Enum DigestQop

- java.lang.Object
- - java.lang.Enum<DigestQop>
  - - io.undertow.security.impl.DigestQop

All Implemented Interfaces:
  Serializable, Comparable<DigestQop>

    public enum DigestQop
    extends Enum<DigestQop>

Enumeration to represent the Digest quality of protection options.

Author:
  Darran Lofthouse

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTH`
`AUTH_INT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DigestQop` `forName(String name)`
`String` `getToken()`
`boolean` `isMessageIntegrity()`
`static DigestQop` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DigestQop[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AUTH

    public static final DigestQop AUTH

#### AUTH_INT

    public static final DigestQop AUTH_INT

### Method Detail

#### values

    public static DigestQop[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DigestQop c : DigestQop.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DigestQop valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getToken

    public String getToken()

#### isMessageIntegrity

    public boolean isMessageIntegrity()

#### forName

    public static DigestQop forName(String name)